# 该镜像需要依赖的基础镜像
FROM openjdk:8
# 指定维护者的名字
MAINTAINER HB
# 将当前目录下的jar包复制到docker容器的/目录下
COPY ruoyi-admin/target/*.tar.gz app.tar.gz
# 解压
RUN tar -xzf app.tar.gz
# 声明服务端口
EXPOSE 8090
# 配置变量
ENV TZ="Asia/Shanghai"
ENV JAVA_OPTS=""
ENV JVM_OPTS=""
# 指定docker容器启动时运行jar包
ENTRYPOINT ["sh","-c","java $JVM_OPTS $JAVA_OPTS  -jar /ruoyi-admin/ruoyi-admin.jar --spring.profiles.active=docker,druid-docker"]
